Actualizar Usuario
curl --request PUT \
--url https://api.plazbot.com/api/user/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"role": "<string>"
}
'import requests
url = "https://api.plazbot.com/api/user/{id}"
payload = {
"name": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"role": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
lastName: '<string>',
email: 'jsmith@example.com',
role: '<string>'
})
};
fetch('https://api.plazbot.com/api/user/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"id": "<string>",
"name": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"avatar": "<string>",
"role": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"company": "<string>"
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}User
Actualizar Usuario
Servicio para actualizar la informacion de un usuario.
PUT
/
api
/
user
/
{id}
Actualizar Usuario
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Path Parameters
ID del usuario a actualizar
Body
application/json
Response
Usuario actualizado exitosamente
⌘I

